Class | Rubygame::MediaBag
In: | lib/rubygame/mediabag.rb
Parent: | Object

NOTE: MediaBag is DEPRECATED and will be removed in Rubygame 3.0! Use the NamedResource functionality of Music, Sound, and Surface instead.

NOTE: you must require ‘rubygame/mediabag’ manually to gain access to Rubygame::MediaBag. It is not imported with Rubygame by default!

A Hash-like class which will load and retain media files (images and sounds), so that the file can be loaded once, but used many times.

The first time a file is requested with the #[] method,that file will be loaded into memory. All subsequent requests for the same file will return a reference to the already-loaded version. Ideally, objects should not have to know whether or not the image has been loaded or not.

### Methods

[] force_load force_store load load_file load_image load_sound new store

### Public Class methods

new()

### Public Instance methods

[](key)

Return a reference to the stored value for key. If there is no value for key, automatically attempt to load key as a filename (guessing the file type based on its extension)

force_load(filename)

Forcibly (re)load the file, replacing the previous version in memory (if any).

force_store(key,value)

Forcibly store value as key, replacing the previous value (if any).

load(filename)

Load the file, but only if it has not been previously loaded.

load_file(filename)
load_image(filename)
load_sound(filename)
store(key,value)

Store value as key, but only if there is no previous value.

[Validate]